LotusStyleManagerInternal::ColorStyle Struct Reference documentation

LotusStyleManagerInternal::ColorStyle Struct Reference

small struct used to defined color style More...

## Public Member Functions
| ColorStyle ()
| constructor

## Public Attributes
WPSColor | m_colors [4]
| the color id : unknown0, unknown1, line, surface
int | m_patternId
| the pattern id
WPSGraphicStyle::Pattern | m_pattern
| the pattern
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ColorStyle const &color)
| operator<<

## Detailed Description

small struct used to defined color style

## Constructor & Destructor Documentation

## ◆ ColorStyle()

LotusStyleManagerInternal::ColorStyle::ColorStyle | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColorStyle const & | color )
| friend

operator<<

## Member Data Documentation

## ◆ m_colors

WPSColor LotusStyleManagerInternal::ColorStyle::m_colors[4]

the color id : unknown0, unknown1, line, surface

Referenced by ColorStyle(), operator<<, LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), LotusStyleManager::readColorStyle(), LotusStyleManager::updateCellStyle(), LotusStyleManager::updateShadowStyle(), and LotusStyleManager::updateSurfaceStyle().

## ◆ m_extra

std::string LotusStyleManagerInternal::ColorStyle::m_extra

extra data

Referenced by ColorStyle(), operator<<, and LotusStyleManager::readColorStyle().

## ◆ m_pattern

WPSGraphicStyle::Pattern LotusStyleManagerInternal::ColorStyle::m_pattern

the pattern

Referenced by ColorStyle(), operator<<, and LotusStyleManager::readColorStyle().

## ◆ m_patternId

int LotusStyleManagerInternal::ColorStyle::m_patternId

the pattern id

Referenced by ColorStyle(), operator<<, LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), LotusStyleManager::readColorStyle(), LotusStyleManager::updateCellStyle(), LotusStyleManager::updateShadowStyle(), and LotusStyleManager::updateSurfaceStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp